REM PIC Development Center
REM ======================
REM V1.0

Echo ================================
Echo Syntax: PDC projectname(w/o ext)
Echo ================================

IFF "%1"=="" .OR. "%1"=="/?" THEN
  Echo ******************
  Echo ** Syntax Error **
  Echo ******************
  Echo Project name is needed as argument
  Echo You may store all files in a sub with the project name
  Echo The files should start with the projectletters...
  Echo Example: (org.=C:\PIC)
  Echo   Project DIR: C:\PIC\PROJ
  Echo   Files      : C:\PIC\PROJ\proj.asm
  Echo                         ..\proj.ini
  Echo                         ..\proj_in1.sti
  Echo                         ..\proj_in2.sti
  Echo                         ..\proj_inx.sti
  Echo - Got it?? -
  Pause
  Input Projectname ?: %%name
  Set name=%@Name[%name]
  GOTO cont
ENDIFF

SETLOCAL
  Set name=%@Name[%1]
  :cont
  CALL addpath %name

  rem get files from subdirectory
  IF NOT EXIST %name.asm Except (%NAME\*.old %NAME%\%name%_v??.*) Copy %NAME\*.*

  GOTO Input

  :edit
  IF EXIST C:\TEXT\BOXER\default.old GOTO cpy
  Ren C:\TEXT\BOXER\default.cfg C:\TEXT\BOXER\default.old
  :cpy
  Copy boxer.cfg C:\TEXT\BOXER\default.cfg
  C:\TEXT\BOXER\b %name.asm %name.ini *.trc picreg.equ pic71.mac %name.erl
  Move C:\TEXT\BOXER\default.old C:\TEXT\BOXER\default.cfg

  Set IN=assemble
  GOTO Input

  :asm
  mpalc %name.asm /w0 /t8

  Set IN=stimulation
  GOTO Input

  :stimul
  Ren C:\TEXT\BOXER\default.cfg C:\TEXT\BOXER\default.old
  Copy fssbxr.cfg C:\TEXT\BOXER\default.cfg
  C:\TEXT\BOXER\b *.sti %name.ini
  Move C:\TEXT\BOXER\default.old C:\TEXT\BOXER\default.cfg

  Set IN=simulate
  GOTO Input

  :simul
  *copy mpsim.org mpsim.ini
  Echo LO %name INHX8M >>mpsim.ini
  Echo GE %name.ini >>mpsim.ini
  Del *.trc
  mode ,25
  mpsim -v
  mode ,50
  *move mpsim.jrn %name.jrn

  Set IN=Brennen
  GOTO Input

  :Brennen an COM2
  Echo  -------- MPStart at COM2! --------
  Keystack Alt-D "M1O" Enter Alt-E "HO" F3 "%name.obj"
  mpstart -2

  Set IN=Terminal
  GOTO Input

  :terminal
  PUSHD C:\TELECOM\TELEMATE
    *copy pic.cfg tm.cfg
    tm.exe
  POPD

  Set IN=Editieren
  GOTO Input


  :store
  Del *.bak
  Cls
  Input Current version? (x.x) %%Ver
  Set Ver=%@Eval[%Ver-0.1]
  :loop
    IFF exist %NAME\%name%_V%Ver THEN
      echo Old version V%Ver already exist, take a new one to backup!
      Set Ver=%@Eval[%ver+0.01]
      goto loop
    ENDIFF
  Echo Backup: Version %Ver
  Copy %NAME\%name.asm %NAME\%name%_V%Ver

  Echo Check for A:\%NAME\*.*.... - Hit "i" if no BACKUP-DISK is in the drive A:!!!
  IFF ISDIR A:\%NAME THEN
    *copy %name.asm A:\%NAME
    *copy %name%_V%Ver A:\%NAME
    *copy %name.ini A:\%NAME
    *copy %name.jrn A:\%NAME
    *copy %name*.sti A:\%NAME
  ENDIFF

  Move %name*.* %name

  :ende
ENDLOCAL
Unset IN
Cls
QUIT

:input
IF "%in"=="Assemble"    Keystack down
IF "%in"=="Stimulation" Keystack down down
IF "%in"=="Simulate"    Keystack down down down
IF "%in"=="Prommer"     Keystack down down down down
IF "%in"=="Terminal"    Keystack down down down down down
IF "%in"=="Quit"        Keystack down down down down down down
IF "%in"=="Quit&Store"  Keystack down down down down down down down
Set IN=%@Select[pdc.sel,5,5,20,35,PDC(%name)=>Select action ]
set in=%@word[0,%in]
IF "%in"==""            GOTO ende
IF "%in"=="Edit"        GOTO edit
IF "%in"=="Assemble"    GOTO asm
IF "%in"=="Stimulation" GOTO stimul
IF "%in"=="Simulate"    GOTO simul
IF "%in"=="Prommer"     GOTO brennen
IF "%in"=="Terminal"    GOTO terminal
IF "%in"=="Quit"        GOTO ende
IF "%in"=="Quit&Store"  GOTO store
Echo Error: Label %IN is somehow strange ! Don't know what to do with it!
Pause
GOTO Input


